package com.hp.teach.service;

import com.hp.teach.domain.School;
import java.util.List;

/**
 * 校区 服务层
 * 
 * @author hp
 * @date 2019-02-12
 */
public interface ISchoolService 
{
	/**
     * 查询校区信息
     * 
     * @param schoolId 校区ID
     * @return 校区信息
     */
	public School selectSchoolById(Integer schoolId);
	
	/**
     * 查询校区列表
     * 
     * @param school 校区信息
     * @return 校区集合
     */
	public List<School> selectSchoolList(School school);

	/**
     * 新增校区
     * 
     * @param school 校区信息
     * @return 结果
     */
	public int insertSchool(School school);
	
	/**
     * 修改校区
     * 
     * @param school 校区信息
     * @return 结果
     */
	public int updateSchool(School school);
		
	/**
     * 删除校区信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
	public int deleteSchoolByIds(String ids);
	
}
